DU(1)

NAMA
du - menampilkan laporan pemakaian disk

RINGKASAN
du [PILIHAN]... [BERKAS]...
du [PILIHAN]... --files0-from=F

DESKRIPSI

Summarize disk usage of the set of FILEs, recursively for directories.

Argumen wajib untuk pilihan panjang adalah wajib untuk pilihan pendek juga.

-0, --null
    akhiri setiap baris keluaran dengan 0 byte daripada baris baru

-a, --all
    Menampilkan total untuk semual file termasuk direktori.

--apparent-size
    menampilkan ukuran sebenarnya, daripada penggunaan disk; walaupun ukuran sebenernya biasanya lebih kecil, tetapi mungkin lebih besar karena adanya holes dalam (`sparse') berkas, internal fragmentasi, blok tidak langsung, dan seperti itu

-B, --block-size=BESAR
    scale sizes by SIZE before printing them; e.g., '-BM' prints sizes in units of 1,048,576 bytes; see SIZE format below

-b, --bytes
    sama dengan '--apparent-size --block-size=1'

-c, --total
    menghasilkan jumlah total

-D, --dereference-args
    dereference hanya symlink yang terdaftar di baris perintah

-d, --max-depth=N
    menampilkan total untuk sebuah direktori (atau berkas, dengan --all) hanya jika ini adalah N atau level lebih kecil dibawah perintah argumen baris; --max-depth=0 sama seperti dalam --summarize

--files0-from=F
    ringkas penggunaan disk dari NUL-terminated berkas nama dispesifikasikan dalam berkas F jika F adalah - maka baca nama dari standar masukan

-H  sama dengan --dereference-args (-D)

-h, --human-readable
    menampilkan ukuran dalam format yang mudah dibaca (contoh: 1K 234M 2G)

--inodes
    list inode usage information instead of block usage

-k  seperti --block-size=1K

-L, --dereference
    dereference all symbolic links

-l, --count-links
    hitung ukuran beberapa kali jika hard linked

-m  seperti --block-size=1M

-P, --no-dereference
    don't follow any symbolic links (this is the default)

-S, --separate-dirs
    for directories do not include size of subdirectories

--si
    like -h, but use powers of 1000 not 1024

-s, --summarize
    Menampilkan total untuk setiap argumen.

-t, --threshold=SIZE
    exclude entries smaller than SIZE if positive, or entries greater than SIZE if negative

--time
    menampilkan waktu dari terakhir modifikasi dari setiap berkas dalam direktori, atau subdirektori apapun

--time=KATA
    menampilkan waktu seperti KATA daripada modifikasi waktu: atime, access, use, ctime atau status

--time-style=STYLE
    show times using STYLE, which can be: full-iso, long-iso, iso, or +FORMAT; FORMAT is interpreted like in 'date'

-X, --exclude-from=BERKAS
    abaikan berkas yang cocok dengan pola dalam BERKAS

--exclude=POLA
    exclude files that match PATTERN

-x, --one-file-system
    skip directories on different file systems

--help
    tampilkan bantuan ini dan keluar

--version
    tulis informasi versi dan keluar

Tampilan nilai berada dalam satuan dari BESAR pertama yang tersedia dari --block-size, dan DU_BLOCK_SIZE, BLOCK_SIZE dan variabel lingkungan BLOCKSIZE. Jika tidak, satuan baku ke 1024 bytes (atau 512 jika POSIXLY_CORRECT diset).

The SIZE argument is an integer and optional unit (example: 10K is 10*1024). Units are K,M,G,T,P,E,Z,Y (powers of 1024) or KB,MB,... (powers of 1000). Binary prefixes can be used, too: KiB=K, MiB=M, and so on.

POLA
PATTERN is a shell pattern (not a regular expression). The pattern ? matches any one character, whereas * matches any string (composed of zero, one or multiple characters). For example, *.o will match any files whose names end in .o. Therefore, the command

    du --exclude='*.o'

will skip all files and subdirectories ending in .o (including the file .o itself).

PENGARANG
Ditulis oleh Torbjorn Granlund, David MacKenzie, Paul Eggert, dan Jim Meyering.

MELAPORKAN BUG
Bantuan daring GNU coreutils: <https://www.gnu.org/software/coreutils/>
Lapor bug penerjemahan ke <https://translationproject.org/team/id.html>

HAK CIPTA
Hak Cipta © 2020 Free Software Foundation, Inc. License GPLv3+: GNU GPL versi 3 atau selanjutnya <https://gnu.org/licenses/gpl.html>.
Ini adalah perangkat lunak bebas: Anda bebas untuk mengubah dan mendistribusikannya. TIDAK ADA JAMINAN, sampai batas yang diperbolehkan oleh hukum.

LIHAT JUGA
Dokumentasi lengkap <https://www.gnu.org/software/coreutils/du>
atau tersedia lokal melalui: info '(coreutils) du invocation'

TERJEMAHAN
Terjemahan bahasa Indonesia dari halaman manual ini dibuat oleh Johan Efendi <johan-efendi@iname.com>

Terjemahan ini adalah Dokumentasi Gratis; baca GNU General Public License Versi 3 (https://www.gnu.org/licenses/gpl-3.0.html) atau yang lebih baru untuk Persyaratan hak cipta. Kami berasumsi TIDAK BERTANGGUNG JAWAB.

Jika Anda menemukan kesalahan dalam terjemahan halaman manual ini, silakan kirim email ke <TODO>.